Bug 908257 - CVE-2013-1620 nss: TLS CBC padding timing attack [fedora-all]
CVE-2013-1620 nss: TLS CBC padding timing attack [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-1620
  Show dependency treegraph
 
Reported: 2013-02-06 04:31 EST by Huzaifa S. Sidhpurwala
Modified: 2013-04-01 18:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: nss-3.14.3-1.fc19 nss-3.14.3-1.fc18 nss-3.14.3-1.fc17
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 02:03:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sync. up pem's rsawrapr.c with upstream changes to softoken's rsawrapr.c (12.07 KB, patch)
2013-02-17 23:10 EST, Elio Maldonado Batiz
rrelyea: review-
Details | Diff
fixes pem module trashing of keys on failed login (1.59 KB, patch)
2013-02-17 23:41 EST, Elio Maldonado Batiz
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-02-06 04:31:15 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Huzaifa S. Sidhpurwala 2013-02-06 04:31:28 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=908234,908257
Comment 2 Elio Maldonado Batiz 2013-02-17 23:10:08 EST
Created attachment 698690 [details]
sync. up pem's rsawrapr.c with upstream changes to softoken's rsawrapr.c
Comment 3 Elio Maldonado Batiz 2013-02-17 23:41:02 EST
Created attachment 698703 [details]
fixes pem module trashing of keys on failed login

patch contributed by Nalin Dahyabhai and reviewed by Kamil Dudka
Comment 4 Elio Maldonado Batiz 2013-02-18 05:12:02 EST
Comment on attachment 698703 [details]
fixes pem module trashing of keys on failed login

Sorry, this is for bug 896651 - unrelated to this issue. Let's avoid confusion.
Comment 5 Fedora Update System 2013-02-22 14:33:10 EST
nss-3.14.3-1.fc18,nss-softokn-3.14.3-1.fc18,nss-util-3.14.3-1.fc18,nspr-4.9.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nss-3.14.3-1.fc18,nss-softokn-3.14.3-1.fc18,nss-util-3.14.3-1.fc18,nspr-4.9.5-2.fc18
Comment 6 Fedora Update System 2013-02-24 03:41:35 EST
Package nss-3.14.3-1.fc18, nss-softokn-3.14.3-1.fc18, nss-util-3.14.3-1.fc18, nspr-4.9.5-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nss-3.14.3-1.fc18 nss-softokn-3.14.3-1.fc18 nss-util-3.14.3-1.fc18 nspr-4.9.5-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2929/nss-3.14.3-1.fc18,nss-softokn-3.14.3-1.fc18,nss-util-3.14.3-1.fc18,nspr-4.9.5-2.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-02-25 13:53:08 EST
nss-3.14.3-1.fc17, nss-softokn-3.14.3-1.fc17, nss-util-3.14.3-1.fc17, nspr-4.9.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nss-3.14.3-1.fc17,nss-softokn-3.14.3-1.fc17,nss-util-3.14.3-1.fc17,nspr-4.9.5-2.fc17
Comment 8 Fedora Update System 2013-02-28 02:03:57 EST
nss-3.14.3-1.fc18, nss-softokn-3.14.3-1.fc18, nss-util-3.14.3-1.fc18, nspr-4.9.5-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-03-13 22:39:50 EDT
nss-3.14.3-1.fc17, nss-softokn-3.14.3-1.fc17, nss-util-3.14.3-1.fc17, nspr-4.9.5-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Bob Relyea 2013-04-01 18:27:11 EDT
Comment on attachment 698690 [details]
sync. up pem's rsawrapr.c with upstream changes to softoken's rsawrapr.c

r- though I'm not sure what I'm reviewing. If I'm reviewing an old pem rsawrapr.c to a new pem rsawraper.c, then the r- stands. It looks like you are removing aeop from the old pem rsawrapr.c. That may be OK, but you should verify.

bob

Note You need to log in before you can comment on or make changes to this bug.